Subject: Re: bug#51590: follow-mode is broken with header-line and tab-line

From: Eli Zaretskii <[email-masked]>
Date: Sat, 06 Nov 2021 14:12:50 +0200

> Date: Sat, 6 Nov 2021 11:50:48 +0000
> Cc: [email-masked], [email-masked]
> From: Alan Mackenzie <[email-masked]>
> 
> > I've now made changes there to make clear that the header-line and the
> > tab-line _are_ included in the text area.
> 
> I'm just confused at the moment, after having spent several hours trying
> to sort things out in my head.
> 
> I think "window body" and "window text area" mean the same thing, but
> I'm not sure.

They aren't.  "Text area" includes the header-line and the tab-line,
the body doesn't.

> The picture in elisp page "Basic Windows" seems to show "window body
> height" as NOT including the header line or tab line.  That picture
> seems to show the header line as being ABOVE the text area, not part of
> it.

The updated picture doesn't have "text area" written on it at all.

> The current implementation of posn-at-x-y includes the header line in
> its Y coordinate, BUT NOT THE TAB LINE.  I think this is a bug.

Yes.  Please fix it.

> > > And I think we (probably me ;-) should go through the elisp manual and
> > > doc strings replacing vague phrases like "the text area of the window"
> > > with explicit descriptions involving "the header line", etc.
> 
> > That'd be going overboard.  We could place a cross-reference in some
> > of those places to the "Frame Layout" node, though.  Suggestions for
> > such places are welcome.
> 
> OK.  But I think there's confusion in the manual and doc strings, and
> even the code, and that it's not just me.

_After_ my today's changes?  If so, please show where is the confusing
text.